cmake_minimum_required(VERSION 3.10)
project(MiniDefProj)

file(GLOB headers "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")
file(GLOB sources "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")

add_executable(minidef ${headers} ${sources})
set_property(TARGET minidef PROPERTY CXX_STANDARD 17)
target_include_directories(minidef PRIVATE
	"${CMAKE_CURRENT_SOURCE_DIR}/../bgfx.cmake/bx/include/"
	"${CMAKE_CURRENT_SOURCE_DIR}/../bgfx.cmake/bx/include/compat/msvc/"
)
target_link_libraries(minidef bx)
target_compile_definitions(minidef PRIVATE "$<$<CONFIG:DEBUG>:BX_CONFIG_DEBUG=1>$<$<CONFIG:RELEASE>:BX_CONFIG_DEBUG=0>")
target_compile_definitions(minidef PUBLIC "_AMD64_")
